Skip to content
Endless Documentation

Create project

POST
/projects

Creates a project and returns the created row.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "title": "string"  }'
{  "project": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "organization_id": "string",    "created_by_id": "string",    "slug": "string",    "title": "string",    "emoji": "string",    "description": "string",    "visibility": "private",    "workspace_role": "viewer",    "knowledge_skill_id": "3d128fff-f913-409f-9d63-3fb0a9e8e703",    "mod_source_id": "string",    "metadata": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "archived_at": "2019-08-24T14:15:22Z",    "archived_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "knowledge_skill": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "body": "string",    "files": "string"  }}